#pragma once
#ifndef CMKTREADER_H
#define CMKTREADER_H

#include "SYOReader.h"

class CMKTReader :
	public CSYOReader
{
public:
	CMKTReader(CReader *Owner, CBaseCommunication *Communicator);
	virtual ~CMKTReader(void);


protected:
	virtual void SetHWString(char *String);
	virtual void GetProductString(uint8_t *Product);
	virtual void CompressModifyStructure(CCID_Message& Message);
};

#endif
